package nckd.jxccl.sit.hcsi.common.constant.enums;


import nckd.jxccl.sit.hcsi.common.constant.model.SITI18NParam;

public enum SITShowType {
    TEXT("text", new SITI18NParam("文本", "SWCShowType_0", "swc-hsbp-common")),
    NUM("num", new SITI18NParam("小数", "SWCShowType_1", "swc-hsbp-common")),
    INT("int", new SITI18NParam("整数", "SWCShowType_2", "swc-hsbp-common")),
    AMOUNT("amount", new SITI18NParam("金额", "SWCShowType_3", "swc-hsbp-common")),
    DATE("date", new SITI18NParam("日期", "SWCShowType_4", "swc-hsbp-common")),
    BOOL("bool", new SITI18NParam("复选框", "SWCShowType_5", "swc-hsbp-common"));

    private String code = "";
    private SITI18NParam desc;

    private SITShowType(String code, SITI18NParam desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getCode() {
        return this.code;
    }

    public String getDesc() {
        return this.desc.loadKDString();
    }
}
